#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
export DH_VERBOSE = 1

WEBMIN_PATH := /usr/share/webmin
WEBMIN_ETC := /etc/webmin
DESTDIR := $(CURDIR)/debian/wikisuite-virtualmin-tikimanager

%:
	dh $@

override_dh_auto_clean:
override_dh_auto_test:
override_dh_auto_build:
override_dh_auto_install:
	install -d "$(DESTDIR)$(WEBMIN_PATH)"
	git clone https://gitlab.com/wikisuite/virtualmin-tikimanager.git "$(DESTDIR)$(WEBMIN_PATH)/virtualmin-tikimanager"
	cd "$(DESTDIR)$(WEBMIN_PATH)/virtualmin-tikimanager" \
		&& git log --pretty=fuller 'HEAD^..HEAD' > VERSION \
		&& git log --pretty="format:%cd.%h" 'HEAD^..HEAD' --date="format:%Y%m%d%H%M%S" > .version \
		&& rm -fr .git
	install -d "$(DESTDIR)$(WEBMIN_ETC)/virtualmin-tikimanager"
	install -m 644 -t "$(DESTDIR)$(WEBMIN_ETC)/virtualmin-tikimanager" config

